# default rules
homepage:
  url:   /
  param: { module: default, action: index }
login:
  url:   /login
  param: { module: user, action: login }

logout:
  url:   /logout
  param: { module: user, action: logout }

language:
  url:   /language/:lang
  param: { module: user, action: switchLanguage }

media_upload:
  url:    /media/upload
  param:  { module: swfuploadBatch, action: uploadBatch }

webcontent_default:
  url:   /pages/:action/*
  param: { module: webcontent }

media_medium:
  url:    /getMedium/:key
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_medium_type:
  url:    /getMedium/:key.:type
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_thumbnail:
  url:    /getThumbnail/:key
  param:  { module: media, action: thumbnail }
  requirements: { hash: '[a-fA-F0-9]{32}' }

#default_symfony:
#  url:   /symfony/:action/*
#  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
